package main

import (
	"be-vpn/internal/server"
	"github.com/gin-gonic/gin"
	"log"
)

func main() {
	r := gin.Default()
	r.Use(gin.Recovery())
	r.GET("/config", server.Config)
	r.POST("/register", server.Register)
	r.GET("/list", server.List)
	r.GET("/secret", server.Secret)
	r.GET("/health", server.Health)

	if err := r.Run(":8080"); err != nil {
		log.Fatalf("err: %+v", err)
	}
}
